Subject: bug#74865: [PATCH] Use `completion-table-with-metadata'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Dec 2024 13:27:15 +0200

> From: Daniel Mendler <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, Juri Linkov <[email-masked]>
> Date: Sat, 14 Dec 2024 13:57:11 +0100
> 
> This is a small follow-up of bug#74616.  There I have introduced the
> `completion-table-with-metadata' helper function, which we can now take
> advantage of at more places.  By using `completion-table-with-metadata'
> we avoid problems with completion sessions in recursive minibuffers.

I'd ask Stefan (CC'ed) to review this, since I don't feel I know
enough about this to have a useful opinion.